package test.repo;

import cn.com.countrygarden.bi.main.repository.RoomStateRepository;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 房屋状态单元测试类
 * 
 * @author huangzhengjun
 *
 */
//@RunWith(SpringJUnit4ClassRunner.class)
//@ContextConfiguration(locations = "classpath:/spring/applicationContext.xml")
public class RoomStateRepoTest {

	@Autowired
	private RoomStateRepository roomStateRepository;

	/**
	 * 查询房屋状态的单元测试
	 */
	@Test
	public void testQueryRoomState() {
		Map<String, Object> paramMap = new HashMap<String, Object>();
		paramMap.put("organcode", "0101");
		paramMap.put("commid", null);
		List<Map<String, Object>> roomStateList = roomStateRepository.queryRoomState(paramMap);
		System.out.println("roomStateList:" + roomStateList.toString());

	}
}
